
QGIS Application - Bug report #19158

[osx] Failure while trying to create a new vector layer

2018-06-10 09:20 PM - Ravi Ramadoss

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:3.0.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 26988

Description

I'm new to GIS. I'm trying to create a new vector layer in QGIS. I keep getting an error that the layer is not created. Yet it doesn't tell me

what the error is.

Steps taken

    File -> New

    Layer -> create layer -> new shape file layer

    filename -> local filename

    click ok

At the end of the process, i get an error directing me to message log. But the log doesn't have anything. The shape file is actually created.

But it doesn't show up in the layers. I have to open the shape file again from browser.

2018-06-10T15:05:52    WARNING     : 

2018-06-10T15:06:19    WARNING     : 

2018-06-10T15:06:51    WARNING     :

History

#1 - 2018-06-11 07:25 AM - Alessandro Pasotti

- Subject changed from Failure while trying to create a new vector layer to [osx] Failure while trying to create a new vector layer

#2 - 2018-06-14 12:06 AM - Loren Amelang

- File QGIS startup Python errors.txt added

Hey - that just began happening to me today! Except I'm on Windows 10 64-bit:

QGIS version

3.0.3-Girona

QGIS code revision

8a899c8758

Compiled against Qt

5.9.2

Running against Qt

5.9.2

Compiled against GDAL/OGR

2.2.4

Running against GDAL/OGR

2.2.4

Compiled against GEOS
3.5.0-CAPI-1.9.0

Running against GEOS

3.5.0-CAPI-1.9.0 r4084

PostgreSQL Client Version

9.2.4

SpatiaLite Version

4.3.0

QWT Version

6.1.3

QScintilla2 Version

2.10.1

PROJ.4 Version

493

For several days I could create shapefiles with no problem. Today I changed the rubberband settings available in Settings menu --> Options --> Digitizing.

When I went to create a layer to test the new value, I got that yellow top message and the same un-helpful Messages log. I tried a new project, and

restarting QGIS, and it always fails now. Setting the line width back to default doesn't help. Fails in a PostGIS project or a file based project.

I notice I get over 6000 lines of Python errors in the log on every startup. That can't be normal???  And I get the following 17 lines of "Processing"

warnings, and they repeat occasionally at times I haven't linked to any actions yet. Trying to create a shapefile layer does not directly trigger them:

2018-06-13T12:19:19    WARNING    Duplicate algorithm name clusteranalysis for provider saga

2018-06-13T12:19:19    WARNING    Duplicate algorithm name confusionmatrixpolygonsgrid for provider saga

2018-06-13T12:19:19    WARNING    Duplicate algorithm name gwrformultiplepredictors for provider saga

2018-06-13T12:19:19    WARNING    Duplicate algorithm name gwrforsinglepredictorgriddedmodeloutput for provider saga

2018-06-13T12:19:19    WARNING    Duplicate algorithm name gwrforsinglepredictorlayer for provider saga

2018-06-13T12:19:19    WARNING    Duplicate parameter SEARCH_POINTS_ALL registered for alg inversedistanceweightedinterpolation

2018-06-13T12:19:19    WARNING    Duplicate parameter SEARCH_POINTS_MAX registered for alg inversedistanceweightedinterpolation

2018-06-13T12:19:19    WARNING    Duplicate algorithm name clusteranalysis for provider saga

2018-06-13T12:19:19    WARNING    Duplicate algorithm name difference for provider saga

2018-06-13T12:19:19    WARNING    Duplicate algorithm name polygonidentity for provider saga

2018-06-13T12:19:19    WARNING    Duplicate algorithm name intersect for provider saga

2018-06-13T12:19:19    WARNING    Duplicate algorithm name polygonselfintersection for provider saga

2018-06-13T12:19:19    WARNING    Duplicate algorithm name symmetricaldifference for provider saga

2018-06-13T12:19:19    WARNING    Duplicate algorithm name polygonuunion for provider saga

2018-06-13T12:19:19    WARNING    Duplicate algorithm name regressionkriging for provider saga

2018-06-13T12:19:19    WARNING    Duplicate algorithm name simplekriging for provider saga

2018-06-13T12:19:19    WARNING    Duplicate algorithm name polygonupdate for provider saga

I've also seen several sudden crashes, where QGIS just instantly disappears for no apparent reason, with no crash dialog or stack trace, and no logging I

can find.

Any clues how to explore this further?

#3 - 2018-08-29 05:16 PM - Giovanni Manghi

- Operating System deleted (mac os high sierra)

- Status changed from Open to Feedback

Please try again on 3.2, possibly using a clean profile.
#4 - 2018-08-31 03:47 AM - Loren Amelang

I did see a somewhat similar issue with 3.2, as reported in #19298:

---

Algorithm 'Order by expression' starting…

Input parameters: { 'ASCENDING' : True, 'EXPRESSION' : '\"ID\"', 'INPUT' : 'C:/Users/loren/Giant Files/HEC-RAS Dam Break/QGIS

Projects/TestProject/Profiles100-50-25LinesOnly/Profiles100-50-25.shp', 'NULLS_FIRST' : False, 'OUTPUT' : 'C:/Users/loren/Giant Files/HEC-RAS Dam

Break/QGIS Projects/TestProject/Profiles100-50-25Sorted/Profiles100-50-25Sorted.shp' }

Could not create layer C:/Users/loren/Giant Files/HEC-RAS Dam Break/QGIS

Projects/TestProject/Profiles100-50-25Sorted/Profiles100-50-25Sorted.shp: Creation of data source failed (OGR error: C:/Users/loren/Giant

Files/HEC-RAS Dam Break/QGIS Projects/TestProject/Profiles100-50-25Sorted/Profiles100-50-25Sorted.shp is not a directory.)

Execution failed after 0.05 seconds

--> It will not let me select a directory for output, it insists I select a .shp file...

---

But that's a bit more complex scenario, at least in terms of my menu choices. Not sure what happens underneath...  And it only happened for a few hours,

not for days. Other than that one, I've seen no shapefile creation issues in 3.2 or 3.2.1.

#5 - 2018-08-31 10:16 AM - Giovanni Manghi

Loren Amelang wrote:

I did see a somewhat similar issue with 3.2, as reported in #19298:

---

Algorithm 'Order by expression' starting…

Input parameters: { 'ASCENDING' : True, 'EXPRESSION' : '\"ID\"', 'INPUT' : 'C:/Users/loren/Giant Files/HEC-RAS Dam Break/QGIS

Projects/TestProject/Profiles100-50-25LinesOnly/Profiles100-50-25.shp', 'NULLS_FIRST' : False, 'OUTPUT' : 'C:/Users/loren/Giant Files/HEC-RAS

Dam Break/QGIS Projects/TestProject/Profiles100-50-25Sorted/Profiles100-50-25Sorted.shp' }

Could not create layer C:/Users/loren/Giant Files/HEC-RAS Dam Break/QGIS

Projects/TestProject/Profiles100-50-25Sorted/Profiles100-50-25Sorted.shp: Creation of data source failed (OGR error: C:/Users/loren/Giant

Files/HEC-RAS Dam Break/QGIS Projects/TestProject/Profiles100-50-25Sorted/Profiles100-50-25Sorted.shp is not a directory.)

Execution failed after 0.05 seconds

--> It will not let me select a directory for output, it insists I select a .shp file...

---

But that's a bit more complex scenario, at least in terms of my menu choices. Not sure what happens underneath...  And it only happened for a few

hours, not for days. Other than that one, I've seen no shapefile creation issues in 3.2 or 3.2.1.

seems completely unrelated to the description of this ticket.

#6 - 2019-02-23 08:36 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you
have more information that clarify the issue.

Files

QGIS startup Python errors.txt 922 KB 2018-06-13 Loren Amelang
